Larian Banner
Previous Thread
Next Thread
Print Thread
Page 2 of 4 1 2 3 4
Joined: May 2014
apprentice
OP Offline
apprentice
Joined: May 2014
Originally Posted by Norbyte
Don't unpack the .pak files to the game Data folder, as it can have interesting side effects and overrides changes that the official patches do.
I suppose I should add a warning about that ...

That's where the editor looks for the resources though. Did you find a way to change that, or do you manually point to the resources when you want to use them?

Joined: Apr 2013
N
addict
Offline
addict
N
Joined: Apr 2013
Originally Posted by dubiouschicken
Originally Posted by Norbyte
Don't unpack the .pak files to the game Data folder, as it can have interesting side effects and overrides changes that the official patches do.
I suppose I should add a warning about that ...

That's where the editor looks for the resources though. Did you find a way to change that, or do you manually point to the resources when you want to use them?


The editor can work without unpacked files; it'll only need the unpacked files if it needs to open packed assets for editing - which is currently disallowed by the editor ("need developer rights") unless you patch LSToolFramework.dll.

Joined: May 2014
apprentice
OP Offline
apprentice
Joined: May 2014
Another tutorial here.

I can't edit the OP anymore to update it. I guess there is a time limit for that. Perhaps there should be a modding wiki to collect info on the toolset instead.

Joined: Jul 2014
R
stranger
Offline
stranger
R
Joined: Jul 2014
Everytime I download the unpacker, Chrome keeps throwing a malicious file warning. Can you upload this elsewhere?

Joined: Apr 2013
N
addict
Offline
addict
N
Joined: Apr 2013
Originally Posted by rayDawg
Everytime I download the unpacker, Chrome keeps throwing a malicious file warning. Can you upload this elsewhere?


Try this one: https://mega.co.nz/#!Rwd1zLaJ!29VAX82KYe4ibOIu2aRrxw_ZK4dEEh4YDgeWZCLg6Lo

In other news, the tool was updated to fix data corruption issues during pak compression/decompression, its highly recommended to use the new version.

Joined: Jul 2014
T
stranger
Offline
stranger
T
Joined: Jul 2014
Originally Posted by Norbyte
Originally Posted by Zeo
So when I follow the first two steps, download instructions then unpack .pak files is it expected that I will get an error when starting the game that the 'main' mod is invalid or changed? I'm getting that error now and not sure if I'm doing something wrong or not.


Don't unpack the .pak files to the game Data folder, as it can have interesting side effects and overrides changes that the official patches do.
I suppose I should add a warning about that ...


So where do we unpack everything then?

Joined: Jun 2014
veteran
Offline
veteran
Joined: Jun 2014
there is a convenient batch file smile

Joined: Apr 2013
Location: Florida, USA
stranger
Offline
stranger
Joined: Apr 2013
Location: Florida, USA
Originally Posted by Dark_Ansem
there is a convenient batch file smile


No batch file inside the lstools.zip I just downloaded.

Where should they be unpacked?

Zep--

Joined: Apr 2013
N
addict
Offline
addict
N
Joined: Apr 2013
Originally Posted by Zep--
Originally Posted by Dark_Ansem
there is a convenient batch file smile


No batch file inside the lstools.zip I just downloaded.

Where should they be unpacked?

Zep--


Ah, it's a separate download.
https://dl.dropboxusercontent.com/u/32263228/dos/sndextr.rar

Joined: Jul 2014
X
stranger
Offline
stranger
X
Joined: Jul 2014
I am new to modding so please forgive me for having to ask,

I downloaded the LSTools, fixed my msvcp110.dll error (or so it seemed) but now I get a new error (0xc000007b) which a few different sites are telling me means a 32/64 bit compatibility error.

I tried different version of the msvcp110.dll, but nothing worked. Does anyone have an suggestions, has anyone else run into this?

EDIT:

Found my answer, apparently my computer needed an update to Visual C++ for Visual Studio 2012... not really sure how that relates, but it worked.

Last edited by Xalmaren; 16/07/14 03:01 AM.
Joined: May 2014
A
apprentice
Offline
apprentice
A
Joined: May 2014
I belong to the Spanish unofficial translation team. I have looked for the file containing the dialogs (to translate them) among the unpacked main.pak files with no result. I think that I have found almost all the game text (interface, subtitltes, things that say the characters out of the dialog window, books, journal entries...) but the dialogs seem to be missing. Anybody knows where they are?

Joined: Apr 2013
N
addict
Offline
addict
N
Joined: Apr 2013
Originally Posted by ajotatxe
I belong to the Spanish unofficial translation team. I have looked for the file containing the dialogs (to translate them) among the unpacked main.pak files with no result. I think that I have found almost all the game text (interface, subtitltes, things that say the characters out of the dialog window, books, journal entries...) but the dialogs seem to be missing. Anybody knows where they are?


Check the .lsx files in Data\Mods\Main\Story\Keywords\

Joined: May 2014
A
apprentice
Offline
apprentice
A
Joined: May 2014
Originally Posted by Norbyte
Originally Posted by ajotatxe
... I have looked for the file containing the dialogs (to translate them) among the unpacked main.pak files with no result....


Check the .lsx files in Data\Mods\Main\Story\Keywords\


Thank you very much!! up

Joined: May 2014
A
apprentice
Offline
apprentice
A
Joined: May 2014
When I try to pack with lstools, it seems to work, but after a short while (before it ends) the compression stops and I get this error:
"Internal error while creating package: bad allocation".

What can be the reason?

EDIT: I have found this problem answered in this forum ( here). It seems that the paks can contain only a folder, or something like that (you call it 'part', but I don't know what exactly a 'part' is). Well, I have modified a single file and packed only the folder that contains it (the current version of lstools allows to pack only folders, not files). Where have I to put the pak file now?

You said that in mods folder, but I have put the file there and the game looks the same.

Last edited by ajotatxe; 23/07/14 11:16 PM.
Joined: Apr 2013
N
addict
Offline
addict
N
Joined: Apr 2013
Originally Posted by ajotatxe
When I try to pack with lstools, it seems to work, but after a short while (before it ends) the compression stops and I get this error:
"Internal error while creating package: bad allocation".

What can be the reason?


The exact reason is that archives are currently built in-memory, so that the packager runs out of mem before building the .pak.

Originally Posted by ajotatxe
You said that in mods folder, but I have put the file there and the game looks the same.


What path did you specify for "Package root path" and "Source paths"?
Also, if you're trying to translate, you should be updating the language .xml file for your language in Localization\, instead of messing around in the .pak files, no?

Joined: Jul 2014
G
stranger
Offline
stranger
G
Joined: Jul 2014
In this post someone describes how to use the lstools to edit a saved game. However, when I attempt to load Globals.lsb it just brings up an error:

Failed to load file

Assertion Failed!
Expression length <= 0x10000 && length >= paddingChars
Location: ..\DivinityEd\variant.cpp (413)

[EDIT: Urgh, nevermind. I thought I'd downloaded the new version but apparently I was using an outdated version of LS Tools. Sorry.]

Last edited by GammaPaladin; 25/07/14 05:49 AM.
Joined: Jul 2014
Z
stranger
Offline
stranger
Z
Joined: Jul 2014
@ dubiouschicken
@ Norbyte

To both of you: thanks a ton for posting all these info's!!

Some of the things said put up another question -
there seems to be a tool that converts the fbx file format to something the eddie can read?

If that is the fact, then using the Autodesk fbx converter to change the file format of the assets (static meshes) you might build into fbx, and then - using the other converter - to make the assets ready for the eddie >>> well: we can already build our own assets?

Getting better and better smile!

Joined: Aug 2014
T
stranger
Offline
stranger
T
Joined: Aug 2014
when I try to unpack textures.pak I get Unknow PAK file version; expect 7 got 9
any1 ideas whats wrong?

Joined: Apr 2013
N
addict
Offline
addict
N
Joined: Apr 2013
Originally Posted by thid
when I try to unpack textures.pak I get Unknow PAK file version; expect 7 got 9
any1 ideas whats wrong?


Too old version of LSTools; upgrade to a new one

Joined: Jul 2014
I
iru Offline
apprentice
Offline
apprentice
I
Joined: Jul 2014
Cheers for the great tool!

I've unpacked both main.pak and textures.pak but the editor throws out Unknown PAK file version for me when I try the Main_1, Main_2, Textures_1 and Textures_2 PAKs. I tried both the dropbox and the mega version of the tool.

I'm trying to track down the male_CharIcon and female_CharIcon dds files.

Page 2 of 4 1 2 3 4

Link Copied to Clipboard
Powered by UBB.threads™ PHP Forum Software 7.7.5